Skip to main content
POST
/
api
/
enrichments
Submit enrichment
curl --request POST \
  --url https://developer.thehog.ai/api/enrichments \
  --header 'Content-Type: application/json' \
  --header 'X-Access-Key: <api-key>' \
  --header 'X-Secret-Key: <api-key>' \
  --data '
{
  "fields": [
    "contact.email",
    "signals"
  ],
  "identifier": {
    "linkedin_url": "<string>",
    "email": "<string>",
    "x_handle": "<string>",
    "github_username": "<string>"
  },
  "identifiers": [
    {
      "linkedin_url": "<string>",
      "email": "<string>",
      "x_handle": "<string>",
      "github_username": "<string>"
    }
  ],
  "signals_config": {
    "platforms": [
      "<string>"
    ],
    "max_posts": {},
    "intent_signals": [
      "<string>"
    ],
    "since_days": 123,
    "handles": {}
  }
}
'
{
  "data": {},
  "meta": {
    "requestId": "<string>"
  }
}

POST /api/enrichments

Schema-driven person enrichment. Returns 200 sync or 202 async.
Performs schema-driven person enrichment. Provide an identifier and requested fields.

Example

curl -X POST https://developer.thehog.ai/api/enrichments \
  -H "X-Access-Key: ak_xxxxxxxxxxxxxxxx" \
  -H "X-Secret-Key: sk_xxxxxxxxxxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"identifier": {"linkedin_url": "https://linkedin.com/in/johndoe"}, "fields": ["contact.email", "profile"]}'

Authorizations

X-Access-Key
string
header
required

The public API key from the Credentials page.

X-Secret-Key
string
header
required

The API secret shown when the credential is created.

Headers

Idempotency-Key
string

Prevents duplicate work if you retry the same request with the same key.

Body

application/json
fields
string[]
required
Example:
["contact.email", "signals"]
identifier
object

Single person (mutually exclusive with identifiers)

identifiers
object[]

Batch (max 100); mutually exclusive with identifier

signals_config
object

Response

Enrichment completed immediately.

data
object
required
meta
object
required